<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ResetPassword.aspx.cs" Inherits="Stat.web.ResetPassword" %>
<%@ Register src="Control/ccHead.ascx" tagname="ccHead" tagprefix="uc1" %>
<%@ Register src="Control/ccFoot.ascx" tagname="ccFoot" tagprefix="uc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>用户自助找回密码</title>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <link href="css/Skin2/index.css" rel="stylesheet" type="text/css" />
    <script src="jQuery/jquery-1.4.1.min.js" type="text/javascript"></script>
    <script src="js/Common.js" type="text/javascript"></script>
        <script type="text/javascript">
        
        $(document).ready(function(){
            $("#btnSaveUser").bind('click',CheckForm)
         });       
        
            function CheckForm() {
               var Uname=$("#txtUname").val();
               var UEmail=$("#txtUEmail").val();
               var CheckCode=$("#txtCheckCode").val();  
            
                if (!IsNull(Uname, 1, 33)) {
                    alert("用户不能为空");
                    $("#txtUname").focus();
                    return false;
                }
                if (!IsNull(UEmail, 1, 33)) {
                    alert("Email邮箱不能为空");
                    $("#txtUEmail").focus();
                    return false;
                }                
                if (!isEmail(UEmail)) {
                    alert("Email填写错误！");
                    $("#txtUEmail").focus();
                    return false;
                } 
                
                if (!CheckEqualsLeng(CheckCode, 5)) {
                    alert("验证码为5位");
                    $("#txtCheckCode").focus();
                    return false;
                }
            }
</script>  
</head>
<body>
    <form id="form1" runat="server" >
    <uc1:ccHead ID="ccHead1" runat="server" />

<!----------------------------------------- -->
<div class="C_u_ti">

    用户自助找回密码</div>
<!----------------------------------------- -->
<div class="C_box1">
<div  class="C_Hl001">
<span ><strong><asp:Literal ID="LtrTitle" runat="server"></asp:Literal></strong></span></div>
<div style="clear:both; text-align:left; padding:15px; line-height:21px;">
<asp:Literal ID="LtrContent" runat="server"></asp:Literal>
</div>
</div><!-- -->
<div class="C_Messge">
欢迎您使用密码自助找回密码服务！ 您即将重置统计帐号的密码，请准确填写以下信息。<br />
如遇到问题，请联系我们，您将得到帮助。
</div>
<div class="box" style="text-align:left; margin-top:20px; margin-bottom:10px;"><strong>必填项目：</strong></div>
<div class="box" >
  <table width="100%" border="0" cellpadding="1" cellspacing="1" bgcolor="#CEDCED">
    <tr>
      <td height="29" bgcolor="#FFFFFF" style="font-size:12px">&nbsp;&nbsp;用户名：</td>
      <td bgcolor="#FFFFFF">&nbsp;<asp:TextBox ID="txtUname" runat="server" Width="150px" MaxLength="20" ></asp:TextBox></td>
    </tr>
    
    <tr>
      <td width="14%" height="29" bgcolor="#FFFFFF" style="font-size:12px">&nbsp;&nbsp;Email邮箱：</td>
      <td width="86%" bgcolor="#FFFFFF" style="font-size:12px">&nbsp;<asp:TextBox ID="txtUEmail" runat="server" Width="150px" ></asp:TextBox>&nbsp;注册时填写的Email，此电子邮件用于接受新密码。</td>
    </tr>
    <tr>
      <td height="29" bgcolor="#FFFFFF" style="font-size:12px">&nbsp;&nbsp;验证码：</td>
      <td bgcolor="#FFFFFF" style="font-size:12px">&nbsp;<asp:TextBox ID="txtCheckCode" CssClass="checkCode" runat="server" MaxLength="5" 
                            Width="65px"></asp:TextBox>&nbsp;<img alt="点击刷新验证码" onclick="this.src='plugin/CheckCode.aspx?t='+Math.random();" src="plugin/CheckCode.aspx" class="pointer"/>
                            &nbsp; 看不清楚，单击验证码刷新
                            </td>
    </tr>
  </table>
</div>
<div class="box" style="text-align:left; margin-top:20px; margin-bottom:10px;">
单击“按钮”意味着: 您的旧密码将失效，系统将向您发送新的密码。
<br /><br />
<asp:Button ID="btnSaveUser" runat="server" OnClick="btnSaveUser_Click" 
                                        Text="填好了，给我发新密码" />
</div>


<uc2:ccFoot ID="ccFoot1" runat="server" />
    </form>
</body>
</html>
